## beginend-el 2.0.0

=== Makefile ===
CASK        ?= cask
EMACS       ?= emacs
DIST        ?= dist
EMACSFLAGS   = --batch -Q
EMACSBATCH   = $(EMACS) $(EMACSFLAGS)

VERSION     := $(shell EMACS=$(EMACS) $(CASK) version)
PKG_DIR     := $(shell EMACS=$(EMACS) $(CASK) package-directory)
PROJ_ROOT   := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

EMACS_D      = ~/.emacs.d
USER_ELPA_D  = $(EMACS_D)/elpa

SRCS         = $(filter-out %-pkg.el, $(wildcard *.el))
TESTS        = $(wildcard test/*.el)
TAR          = $(DIST)/beginend-$(VERSION).tar


.PHONY: all deps check test lint install uninstall reinstall clean-all clean clean-elc
all : deps $(TAR)

deps :
	$(CASK) install

install : $(TAR)
	$(EMACSBATCH) -l package -f package-initialize \
	--eval '(package-install-file "$(PROJ_ROOT)/$(TAR)")'

uninstall :
	rm -rf $(USER_ELPA_D)/beginend-*

reinstall : clean uninstall install

clean-all : clean
	rm -rf $(PKG_DIR)

clean-elc :
	rm -f *.elc test/*.elc

clean : clean-elc
	rm -rf $(DIST)
	rm -f *-pkg.el

$(TAR) : $(DIST) $(SRCS)
	$(CASK) package $(DIST)

$(DIST) :
	mkdir $(DIST)

check : test lint

test: unit

unit: $(PKG_DIR) clean-elc
	${CASK} exec buttercup -L .

lint : $(SRCS) clean-elc
	# Byte compile all and stop on any warning or error
	${CASK} emacs $(EMACSFLAGS) \
	--eval "(setq byte-compile-error-on-warn t)" \
	-L . -f batch-byte-compile ${SRCS} ${EXAMPLES} ${TESTS}

	# Run package-lint to check for packaging mistakes
	${CASK} emacs $(EMACSFLAGS) \
	-l package-lint.el \
	-f package-lint-batch-and-exit ${SRCS}

=== debian/changelog ===
beginend-el (2.0.0-3) unstable; urgency=medium

  * Migrate to dh 12
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Feb 2019 14:36:37 +0500

beginend-el (2.0.0-2) unstable; urgency=medium

  * Fix build dependencies (Closes: #877412)
  * Declare Standards-Version 4.1.1 (no changes needed)
  * Remove emacs24 from the Enchances field

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 27 Oct 2017 13:17:00 +0500

beginend-el (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #872821)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 8 Aug 2017 22:28:57 +0500

=== debian/control ===
Source: beginend-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa,
               elpa-assess,
               elpa-buttercup
Standards-Version: 4.3.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/DamienCassou/beginend
Vcs-Browser: https://salsa.debian.org/emacsen-team/beginend-el
Vcs-Git: https://salsa.debian.org/emacsen-team/beginend-el.git

Package: elpa-beginend
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: redefine M-< and M-> for some modes to get to meaningful locations
 This package redefines M-< and M-> (or any key bound to
 beginning-of-buffer or end-of-buffer) for some modes so that point
 moves to meaningful locations. The real beginning and end of buffers
 (i. e., point-min and point-max) are still accessible by pressing the
 same key again.

## beginend-el 2.0.0+git20190708.66e9fbf

=== Makefile ===
ELPA_DEPENDENCIES=package-lint assess buttercup m-buffer

ELPA_ARCHIVES=melpa gnu

TEST_ERT_FILES=$(wildcard test/beginend-*.el)
LINT_CHECKDOC_FILES=$(wildcard *.el) ${TEST_ERT_FILES}
LINT_PACKAGE_LINT_FILES=$(wildcard *.el) ${TEST_ERT_FILES}
LINT_COMPILE_FILES=$(wildcard *.el) ${TEST_ERT_FILES}

makel.mk:
	# Download makel
	@if [ -f ../makel/makel.mk ]; then \
		ln -s ../makel/makel.mk .; \
	else \
		curl \
		--fail --silent --show-error --insecure --location \
		--retry 9 --retry-delay 9 \
		-O https://gitlab.petton.fr/DamienCassou/makel/raw/v0.5.1/makel.mk; \
	fi

# Include makel.mk if present
-include makel.mk

=== debian/changelog ===
beginend-el (2.0.0+git20190708.66e9fbf-1) unstable; urgency=medium

  * New upstream version 2.0.0+git20190708.66e9fbf
  * Refresh patch
  * Fix autopkgtest
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 21 Jul 2019 16:18:12 +0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-elpa,
                elpa-assess,
                elpa-buttercup
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DamienCassou/beginend

## beginend-el 2.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ELPA_DEPENDENCIES=package-lint assess buttercup m-buffer
 
-ELPA_ARCHIVES=melpa gnu
+ELPA_ARCHIVES=melpa-stable gnu
 
 TEST_ERT_FILES=$(wildcard test/beginend-*.el)
 LINT_CHECKDOC_FILES=$(wildcard *.el) ${TEST_ERT_FILES}

=== debian/changelog ===
beginend-el (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 01 Dec 2019 15:39:14 +0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-elpa,
                elpa-assess,
                elpa-buttercup
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DamienCassou/beginend

## beginend-el 2.2.0

=== Makefile ===
ELPA_DEPENDENCIES=package-lint assess buttercup

ELPA_ARCHIVES=melpa-stable gnu

TEST_BUTTERCUP_OPTIONS=test
LINT_CHECKDOC_FILES=$(wildcard *.el) ${TEST_ERT_FILES}
LINT_PACKAGE_LINT_FILES=$(wildcard *.el) ${TEST_ERT_FILES}
LINT_COMPILE_FILES=$(wildcard *.el) ${TEST_ERT_FILES}

makel.mk:
	# Download makel
	@if [ -f ../makel/makel.mk ]; then \
		ln -s ../makel/makel.mk .; \
	else \
		curl \
		--fail --silent --show-error --insecure --location \
		--retry 9 --retry-delay 9 \
		-O https://gitlab.petton.fr/DamienCassou/makel/raw/v0.6.0/makel.mk; \
	fi

# Include makel.mk if present
-include makel.mk

=== debian/changelog ===
beginend-el (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Refresh patch to clean documentation
  * Add patch to fix version number
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Bump copyright yeats

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 16 Sep 2020 14:38:57 +0500

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-assess,
                elpa-buttercup
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DamienCassou/beginend

## beginend-el 2.3.0

=== debian/changelog ===
beginend-el (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Drop patch to fix version number
  * Update patch to clean documentation
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 12 Apr 2022 09:45:41 +0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-elpa,
                elpa-assess,
                elpa-buttercup
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DamienCassou/beginend

## beginend-el 2.3.0+git20220902.c8fe2cd

=== debian/changelog ===
beginend-el (2.3.0+git20220902.c8fe2cd-1) unstable; urgency=medium

  * New upstream version 2.3.0+git20220902.c8fe2cd
  * Refresh patch to clean documentation
  * Add patch to prevent trampoline compilation for primitive
    message (Closes: #1030483). Thanks to Aymeric Agon-Rambosson
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 05 Feb 2023 22:18:57 +0500

## beginend-el 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ELPA_DEPENDENCIES=package-lint assess buttercup
+ELPA_DEPENDENCIES=package-lint assess buttercup m-buffer
 
 ELPA_ARCHIVES=melpa-stable gnu

=== debian/changelog ===
beginend-el (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Add upstream metadata
  * Drop patch applied upstream (to fix trampoline compilation)
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 05 Mar 2023 23:30:12 +0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-elpa,
                elpa-assess,
                elpa-buttercup
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DamienCassou/beginend

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%beginend-el-$1.tar.gz%" \
             https://github.com/DamienCassou/beginend/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
